## flobby 0.1-1

=== Makefile ===
# This Makefile is only used when building Debian packages

DESTDIR=/

all:

install:
	install -d ${DESTDIR}/usr/bin
	install src/Flobby ${DESTDIR}/usr/bin
	install -d ${DESTDIR}/opt/Flobby
	install src/Flobby.py ${DESTDIR}/opt/Flobby
	install src/Objects.py ${DESTDIR}/opt/Flobby
	install -d ${DESTDIR}/opt/Flobby/data
	install data/ball.png ${DESTDIR}/opt/Flobby/data
	install data/ball-25.png ${DESTDIR}/opt/Flobby/data
	install data/ball-50.png ${DESTDIR}/opt/Flobby/data
	install data/cherry.png ${DESTDIR}/opt/Flobby/data
	install data/flobby-intro.png ${DESTDIR}/opt/Flobby/data
	install data/flobby-instructions.png ${DESTDIR}/opt/Flobby/data
	install -d ${DESTDIR}/usr/share/applications/hildon
	install src/Flobby.desktop ${DESTDIR}/usr/share/applications/hildon
	install -d ${DESTDIR}/usr/share/icons/hicolor/48x48/apps/
	install data/flobby-48.png ${DESTDIR}/usr/share/icons/hicolor/48x48/apps/flobby.png
	install -d ${DESTDIR}/usr/share/icons/hicolor/26x26/apps/
	install data/flobby-26.png ${DESTDIR}/usr/share/icons/hicolor/26x26/apps/flobby.png
	install -d ${DESTDIR}/usr/share/icons/hicolor/64x64/apps/
	install data/flobby-64.png ${DESTDIR}/usr/share/icons/hicolor/64x64/apps/flobby.png
	
clean:
	rm src/*pyo
	
sourcepkg: clean
	dpkg-buildpackage -rfakeroot -sa -S -i -I.git

=== debian/changelog ===
flobby (0.1-1) unstable; urgency=low

  * Initial release

 -- Yves <yves@marcoz.org>  Fri, 18 Jun 2010 23:21:44 -0700

=== debian/control ===
Source: flobby
Section: user/games
Priority: optional
Maintainer: Yves <yves@marcoz.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2
XB-Maemo-Display-Name: Flobby
XSBC-Bugtracker: http://feedingit.marcoz.org

Package: flobby
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python, python-pygame
Description:
 Control a falling ball using the accelerometer
 Using the accelerometer, control the falling ball through a maze so
 it does not get squished at the top. Collect cherries on the way for
 extra points!

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/flobby.sgml > flobby.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/flobby.
	$(MAKE) DESTDIR=$(CURDIR)/debian/flobby install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
